GLS ShipIT 4.0.f7 GLS ShipIT - SOAP services

Public Member Functions | Static Public Attributes | List of all members
eu.gls_group.fpcs.v2.shipmentprocessing.ShipmentProcessingServiceV2 Class Reference
Inheritance diagram for eu.gls_group.fpcs.v2.shipmentprocessing.ShipmentProcessingServiceV2:

## Public Member Functions
| ShipmentProcessingServiceV2 (URL wsdlLocation)
| ShipmentProcessingServiceV2 (URL wsdlLocation, QName serviceName)
| ShipmentProcessingServiceV2 ()
| ShipmentProcessingServiceV2 (WebServiceFeature ... features)
| ShipmentProcessingServiceV2 (URL wsdlLocation, WebServiceFeature ... features)
| ShipmentProcessingServiceV2 (URL wsdlLocation, QName serviceName, WebServiceFeature ... features)
ShipmentProcessingPortTypeV2 | getShipmentProcessingBindingV2 ()
ShipmentProcessingPortTypeV2 | getShipmentProcessingBindingV2 (WebServiceFeature... features)

## Static Public Attributes
static final URL | WSDL_LOCATION
static final QName | SERVICE = new QName("http://fpcs.gls-group.eu/v2/ShipmentProcessing", "ShipmentProcessingServiceV2")
static final QName | ShipmentProcessingBindingV2 = new QName("http://fpcs.gls-group.eu/v2/ShipmentProcessing", "ShipmentProcessingBindingV2")

## Detailed Description

Shipment processing service A service for ... Version: 2.0 History: 2.0 [2022-12-??] initial release

This class was generated by Apache CXF 3.4.7 Generated source version: 3.4.7

Definition at line 23 of file ShipmentProcessingServiceV2.java.

## Constructor & Destructor Documentation

## ◆ ShipmentProcessingServiceV2() [1/6]

eu.gls_group.fpcs.v2.shipmentprocessing.ShipmentProcessingServiceV2.ShipmentProcessingServiceV2 | ( | URL | wsdlLocation | ) |

Definition at line 42 of file ShipmentProcessingServiceV2.java.

## ◆ ShipmentProcessingServiceV2() [2/6]

eu.gls_group.fpcs.v2.shipmentprocessing.ShipmentProcessingServiceV2.ShipmentProcessingServiceV2 | ( | URL | wsdlLocation,
|  | QName | serviceName
| ) |  |

Definition at line 46 of file ShipmentProcessingServiceV2.java.

## ◆ ShipmentProcessingServiceV2() [3/6]

eu.gls_group.fpcs.v2.shipmentprocessing.ShipmentProcessingServiceV2.ShipmentProcessingServiceV2 | ( |  | ) |

Definition at line 50 of file ShipmentProcessingServiceV2.java.

## ◆ ShipmentProcessingServiceV2() [4/6]

eu.gls_group.fpcs.v2.shipmentprocessing.ShipmentProcessingServiceV2.ShipmentProcessingServiceV2 | ( | WebServiceFeature ... | features | ) |

Definition at line 54 of file ShipmentProcessingServiceV2.java.

## ◆ ShipmentProcessingServiceV2() [5/6]

eu.gls_group.fpcs.v2.shipmentprocessing.ShipmentProcessingServiceV2.ShipmentProcessingServiceV2 | ( | URL | wsdlLocation,
|  | WebServiceFeature ... | features
| ) |  |

Definition at line 58 of file ShipmentProcessingServiceV2.java.

## ◆ ShipmentProcessingServiceV2() [6/6]

eu.gls_group.fpcs.v2.shipmentprocessing.ShipmentProcessingServiceV2.ShipmentProcessingServiceV2 | ( | URL | wsdlLocation,
|  | QName | serviceName,
|  | WebServiceFeature ... | features
| ) |  |

Definition at line 62 of file ShipmentProcessingServiceV2.java.

## Member Function Documentation

## ◆ getShipmentProcessingBindingV2() [1/2]

ShipmentProcessingPortTypeV2 eu.gls_group.fpcs.v2.shipmentprocessing.ShipmentProcessingServiceV2.getShipmentProcessingBindingV2 | ( |  | ) |

Returns
  returns ShipmentProcessingPortTypeV2

Definition at line 75 of file ShipmentProcessingServiceV2.java.

## ◆ getShipmentProcessingBindingV2() [2/2]

ShipmentProcessingPortTypeV2 eu.gls_group.fpcs.v2.shipmentprocessing.ShipmentProcessingServiceV2.getShipmentProcessingBindingV2 | ( | WebServiceFeature... | features | ) |

Parameters

  features | A list of javax.xml.ws.WebServiceFeature to configure on the proxy. Supported features not in the `features` parameter will have their default values.

Returns
  returns ShipmentProcessingPortTypeV2

Definition at line 87 of file ShipmentProcessingServiceV2.java.

## Member Data Documentation

## ◆ SERVICE

final QName eu.gls_group.fpcs.v2.shipmentprocessing.ShipmentProcessingServiceV2.SERVICE = new QName("http://fpcs.gls-group.eu/v2/ShipmentProcessing", "ShipmentProcessingServiceV2")
| static

Definition at line 27 of file ShipmentProcessingServiceV2.java.

## ◆ ShipmentProcessingBindingV2

final QName eu.gls_group.fpcs.v2.shipmentprocessing.ShipmentProcessingServiceV2.ShipmentProcessingBindingV2 = new QName("http://fpcs.gls-group.eu/v2/ShipmentProcessing", "ShipmentProcessingBindingV2")
| static

Definition at line 28 of file ShipmentProcessingServiceV2.java.

## ◆ WSDL_LOCATION

final URL eu.gls_group.fpcs.v2.shipmentprocessing.ShipmentProcessingServiceV2.WSDL_LOCATION
| static

Definition at line 25 of file ShipmentProcessingServiceV2.java.

The documentation for this class was generated from the following file:

- ShipmentProcessingServiceV2.java